View Issue Details

IDProjectCategoryView StatusLast Update
0002978Ham Radio DeluxeBugpublic2019-01-16 22:05
ReporterK7ZCZAssigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version16299
Product Version6.5.0.132 
Target VersionFixed in Version6.5.0.183 
Summary0002978: Rig Control: FTDX 3000 "096 Data Output Level" slider doesn't work
DescriptionThe "096 Data Output Level" slider in Rig Control doesn't work to control the corresponding parameter on FTDX 3000 radios.
Steps To Reproduce1) Fire up Rig Control
2) Connect to the FTDX 3000
3) Customize the slider view to include the "096 Data Output Level" slider
4) Set the radio to show this same parameter in the menu
5) Work the slider

BUG#1) As the slider in Rig control is adjusted, the value on the radio doesn't change.
BUG#2) Adjusting the parameter with the radio's front panel doesn't change the value or position of the slider in Rig Control.

TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2018-12-11 18:36

administrator   ~0006579

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4544

WA9PIE

2019-01-09 13:51

administrator   ~0006919

User reports that slider 96 works... but that the name is probably wrong.

Please see attached screenshot and let me know whether we need to change the description... or if we're looking at an entirely different menu item.

menu 96.jpg (38,089 bytes)
menu 96.jpg (38,089 bytes)

K7ZCZ

2019-01-10 10:43

administrator   ~0006943

We have no standards for naming controls in Rig Control. This is not a name that I chose.

"Data Output Level" controls exist for the FT-950, the FTDX-3000, the FT-991 (and -A), The FT-891, and the FT-1200. Should they all be changed? If so, should the title in Rig Control match the casing of the radio (as "RTTY OUT LEVEL") or use title casing (as "RTTY Out Level")?

Some controls use the Yaesu menu number (as "054 Pitch") and some don't ("CW Pitch" or "Pitch").

Should other controls be renamed? The FTDX-3000 has "094 RX Polarity" and "095 TX Polarity". Should they be "094 POLARITY-R" and "095 POLARITY-T"?

This naming issue should probably be set aside from the functional problem reported and fixed by this Mantis issue. We should work to develop a standard for representing names, controls, and features of radios in Rig Control so that the product presents a consistent, predictable interface for customers.

K7ZCZ

2019-01-10 15:46

administrator   ~0006948

In the 2019-01-10 conference call, we agreed to set naming aside for now and use this issue for managing the functionality of the slider.

K7ZCZ

2019-01-12 14:36

administrator   ~0006979

The decision made in the conference call was reverted in a chat conversation, and this issue now includes renaming the slider title.
This check in performs the rename:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4711

WA9PIE

2019-01-14 12:00

administrator   ~0006993

Validated by customer

Issue History

Date Modified Username Field Change
2018-12-11 06:25 K7ZCZ New Issue
2018-12-11 06:29 K7ZCZ Tag Attached: FTDX-3000
2018-12-11 06:29 K7ZCZ Tag Attached: Yaesu
2018-12-11 18:36 K7ZCZ Assigned To => K7ZCZ
2018-12-11 18:36 K7ZCZ Status new => resolved
2018-12-11 18:36 K7ZCZ Resolution open => fixed
2018-12-11 18:36 K7ZCZ Note Added: 0006579
2018-12-14 17:18 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:18 K7ZCZ Steps to Reproduce Updated View Revisions
2019-01-09 13:51 WA9PIE File Added: menu 96.jpg
2019-01-09 13:51 WA9PIE Note Added: 0006919
2019-01-09 13:52 WA9PIE Status resolved => feedback
2019-01-09 13:52 WA9PIE Resolution fixed => reopened
2019-01-10 10:43 K7ZCZ Note Added: 0006943
2019-01-10 10:44 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-01-10 15:46 K7ZCZ Note Added: 0006948
2019-01-10 15:46 K7ZCZ Status feedback => assigned
2019-01-12 14:36 K7ZCZ Status assigned => resolved
2019-01-12 14:36 K7ZCZ Resolution reopened => fixed
2019-01-12 14:36 K7ZCZ Note Added: 0006979
2019-01-14 12:00 WA9PIE Status resolved => closed
2019-01-14 12:00 WA9PIE Testing Not Started => Beta Successful
2019-01-14 12:00 WA9PIE Note Added: 0006993
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe